java.lang

## Class IllegalThreadStateException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - java.lang.IllegalThreadStateException

All Implemented Interfaces:
  Serializable

    public class IllegalThreadStateException
    extends IllegalArgumentException

Thrown to indicate that a thread is not in an appropriate state for the requested operation. See, for example, the `suspend` and `resume` methods in class `Thread`.

Since:
  JDK1.0
See Also:
  `Thread.resume()`, `Thread.suspend()`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IllegalThreadStateException()` Constructs an `IllegalThreadStateException` with no detail message.
`IllegalThreadStateException(String s)` Constructs an `IllegalThreadStateException` with the specified detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IllegalThreadStateException

    public IllegalThreadStateException()

Constructs an `IllegalThreadStateException` with no detail message.

#### IllegalThreadStateException

    public IllegalThreadStateException(String s)

Constructs an `IllegalThreadStateException` with the specified detail message.

Parameters:
  `s` - the detail message.

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.